Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.annotation
Annotation Type Generated

    @Documented
    @Retention(value=SOURCE)
    @Target(value={PACKAGE,TYPE,ANNOTATION_TYPE,METHOD,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PARAMETER})
    public @interface Generated

The Generated annoation is used to mark source code that has been generated. It can also be used to differentiate user written code from generated code in a single file. When used, the value element must have the name of the code generator. The recommended convention is to use the fully qualified name of the code generator in the value field . For example: com.company.package.classname. The date element is used to indicate the date the source was generated. The date element must follow the ISO 8601 standard. For example the date element would have the following value 2001-07-04T12:08:56.235-0700 which represents 2001-07-04 12:08:56 local time in the U.S. Pacific Time time zone. The comment element is a place holder for any comments that the code generator may want to include in the generated code.

Since:
  Common Annotations 1.0

Required Element Summary
`String[]` | `value` This is used by the code generator to mark the generated classes and methods.

Optional Element Summary
`String` | `comments` A place holder for any comments that the code generator may want to include in the generated code.
`String` | `date` Date when the source was generated.

Element Detail

### value

    public abstract String[] value

  This is used by the code generator to mark the generated classes and methods.

### date

    public abstract String date

  Date when the source was generated.

  Default:
    ""

### comments

    public abstract String comments

  A place holder for any comments that the code generator may want to include in the generated code.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.